Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.util
Class StoreUtils

    java.lang.Object
      com.hp.hpl.jena.sdb.util.StoreUtils

    public class StoreUtils

extends Object

Constructor Summary
`StoreUtils()`

Method Summary
`static boolean` | `containsGraph(Store store, com.hp.hpl.jena.graph.Node graphNode)`
`static boolean` | `isDB2(Store store)`
`static boolean` | `isDerby(Store store)`
`static boolean` | `isFormatted(Store store)` Best effort utility to check whether store is formatted (currently: tables and columns exist)
`static boolean` | `isH2(Store store)`
`static boolean` | `isHSQL(Store store)`
`static boolean` | `isMySQL(Store store)`
`static boolean` | `isOracle(Store store)`
`static boolean` | `isPostgreSQL(Store store)`
`static boolean` | `isSQLServer(Store store)`
`static void` | `load(Store store, String filename)`
`static void` | `load(Store store, String graphIRI, String filename)`
`static Iterator<com.hp.hpl.jena.graph.Node>` | `storeGraphNames(Store store)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StoreUtils

    public StoreUtils()

Method Detail

### isHSQL

    public static boolean isHSQL(Store store)

### isH2

    public static boolean isH2(Store store)

### isDerby

    public static boolean isDerby(Store store)

### isPostgreSQL

    public static boolean isPostgreSQL(Store store)

### isMySQL

    public static boolean isMySQL(Store store)

### isSQLServer

    public static boolean isSQLServer(Store store)

### isOracle

    public static boolean isOracle(Store store)

### isDB2

    public static boolean isDB2(Store store)

### load

    public static void load(Store store,
                            String filename)

### load

    public static void load(Store store,
                            String graphIRI,
                            String filename)

### storeGraphNames

    public static Iterator<com.hp.hpl.jena.graph.Node> storeGraphNames(Store store)

### containsGraph

    public static boolean containsGraph(Store store,
                                        com.hp.hpl.jena.graph.Node graphNode)

### isFormatted

    public static boolean isFormatted(Store store)
                               throws SQLException

  Best effort utility to check whether store is formatted (currently: tables and columns exist)

  Parameters:
    `store` - The store to check
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.